Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3383)

Issue 2682473003: Add support for multiple allowed domains (Closed)

Created:
3 years, 6 months ago by rkjnsn
Modified:
3 years, 2 months ago
CC:
chromium-reviews, tnagel+watch_chromium.org, asvitkine+watch_chromium.org, chromoting-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add support for multiple allowed domains Adds two new policies, RemoteAccessHostDomainList and RemoteAccessHostClientDomainList, which allow specifying a list of allowed domains. Deprecates the existing RemoteAccessHostDomain and RemoteAccessHostClientDomain policies. BUG=624620 Review-Url: https://codereview.chromium.org/2682473003 Cr-Commit-Position: refs/heads/master@{#468149} Committed: https://chromium.googlesource.com/chromium/src/+/10cd268f54d5f567b8834838ad0726e35dcdbe51

Patch Set 1 #

Total comments: 5

Patch Set 2 : Rework to follow a deprecation approach #

Total comments: 13

Patch Set 3 : Feedback, Fixes, and Tests #

Total comments: 6

Patch Set 4 : Rebase patch #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+495 lines, -99 lines) Patch
M chrome/test/data/policy/policy_test_cases.json View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M components/policy/resources/policy_templates.json View 1 2 3 3 chunks +50 lines, -8 lines 1 comment Download
M remoting/host/it2me/it2me_host.h View 1 3 chunks +6 lines, -4 lines 0 comments Download
M remoting/host/it2me/it2me_host.cc View 1 2 4 chunks +52 lines, -25 lines 0 comments Download
M remoting/host/it2me/it2me_host_unittest.cc View 1 2 chunks +159 lines, -0 lines 0 comments Download
M remoting/host/policy_watcher.h View 1 1 chunk +7 lines, -1 line 0 comments Download
M remoting/host/policy_watcher.cc View 1 2 3 chunks +36 lines, -2 lines 0 comments Download
M remoting/host/policy_watcher_unittest.cc View 1 2 9 chunks +104 lines, -19 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 3 11 chunks +49 lines, -24 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 1 4 chunks +4 lines, -3 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 5 chunks +17 lines, -11 lines 0 comments Download
M remoting/resources/remoting_strings.grd View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M remoting/test/protocol_perftest.cc View 1 1 chunk +2 lines, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 46 (20 generated)
rkjnsn
As discussed, this needs some updates to the unit test scaffolding to implement tests for ...
3 years, 6 months ago (2017-02-10 22:07:03 UTC) #2
Sergey Ulanov
https://codereview.chromium.org/2682473003/diff/1/components/policy/resources/policy_templates.json File components/policy/resources/policy_templates.json (right): https://codereview.chromium.org/2682473003/diff/1/components/policy/resources/policy_templates.json#newcode861 components/policy/resources/policy_templates.json:861: 'name': 'RemoteAccessHostDomainList', Instead of adding new policy can we ...
3 years, 6 months ago (2017-02-10 22:25:13 UTC) #4
rkjnsn
https://codereview.chromium.org/2682473003/diff/1/components/policy/resources/policy_templates.json File components/policy/resources/policy_templates.json (right): https://codereview.chromium.org/2682473003/diff/1/components/policy/resources/policy_templates.json#newcode861 components/policy/resources/policy_templates.json:861: 'name': 'RemoteAccessHostDomainList', On 2017/02/10 22:25:13, Sergey Ulanov wrote: > ...
3 years, 6 months ago (2017-02-11 00:50:11 UTC) #5
Sergey Ulanov
+bartfab, pastarmovj Bartosz, Julian, is there a better way to upgrade an existing policy from ...
3 years, 6 months ago (2017-02-11 01:03:48 UTC) #7
pastarmovj
On 2017/02/11 01:03:48, Sergey Ulanov wrote: > +bartfab, pastarmovj > Bartosz, Julian, is there a ...
3 years, 5 months ago (2017-02-13 08:20:36 UTC) #8
Jamie
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc File remoting/host/it2me/it2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc#newcode179 remoting/host/it2me/it2me_host.cc:179: for (const std::string& domain : required_host_domain_list_) { Can this ...
3 years, 3 months ago (2017-04-19 00:29:02 UTC) #13
rkjnsn
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc File remoting/host/it2me/it2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc#newcode179 remoting/host/it2me/it2me_host.cc:179: for (const std::string& domain : required_host_domain_list_) { On 2017/04/19 ...
3 years, 3 months ago (2017-04-19 16:45:26 UTC) #16
Jamie
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc File remoting/host/it2me/it2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc#newcode179 remoting/host/it2me/it2me_host.cc:179: for (const std::string& domain : required_host_domain_list_) { On 2017/04/19 ...
3 years, 3 months ago (2017-04-19 16:55:47 UTC) #17
rkjnsn
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc File remoting/host/it2me/it2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc#newcode179 remoting/host/it2me/it2me_host.cc:179: for (const std::string& domain : required_host_domain_list_) { On 2017/04/19 ...
3 years, 3 months ago (2017-04-19 18:24:06 UTC) #18
Jamie
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc File remoting/host/it2me/it2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/it2me/it2me_host.cc#newcode332 remoting/host/it2me/it2me_host.cc:332: UpdateHostDomainListPolicy(std::move(host_domain_list_vector)); On 2017/04/19 18:24:06, rkjnsn wrote: > On 2017/04/19 ...
3 years, 3 months ago (2017-04-19 19:21:06 UTC) #19
rkjnsn
I made some changes based on feedback, fixed a couple of errors I noticed, and ...
3 years, 3 months ago (2017-04-19 23:13:24 UTC) #21
Sergey Ulanov
The new approach does look cleaner. I have couple of comments about base::Value handling, but ...
3 years, 3 months ago (2017-04-20 00:42:55 UTC) #22
rkjnsn
https://codereview.chromium.org/2682473003/diff/20001/remoting/host/remoting_me2me_host.cc File remoting/host/remoting_me2me_host.cc (right): https://codereview.chromium.org/2682473003/diff/20001/remoting/host/remoting_me2me_host.cc#newcode1130 remoting/host/remoting_me2me_host.cc:1130: if (!policies->GetList(policy::key::kRemoteAccessHostClientDomainList, On 2017/04/20 00:42:54, Sergey Ulanov wrote: > ...
3 years, 3 months ago (2017-04-20 00:58:26 UTC) #23
Sergey Ulanov
lgtm
3 years, 3 months ago (2017-04-20 18:51:17 UTC) #24
rkjnsn
Julian, can you review the policy additions? Thanks.
3 years, 3 months ago (2017-04-21 23:32:34 UTC) #26
pastarmovj
I have only one suggestion about a cleaner way to handle the policy deprecation other ...
3 years, 3 months ago (2017-04-24 13:06:34 UTC) #27
rkjnsn
https://codereview.chromium.org/2682473003/diff/60001/remoting/host/policy_watcher.h File remoting/host/policy_watcher.h (right): https://codereview.chromium.org/2682473003/diff/60001/remoting/host/policy_watcher.h#newcode105 remoting/host/policy_watcher.h:105: void HandleDeprecatedPolicies(base::DictionaryValue* dict); On 2017/04/24 13:06:34, pastarmovj wrote: > ...
3 years, 3 months ago (2017-04-24 17:20:48 UTC) #28
pastarmovj
On 2017/04/24 17:20:48, rkjnsn wrote: > https://codereview.chromium.org/2682473003/diff/60001/remoting/host/policy_watcher.h > File remoting/host/policy_watcher.h (right): > > https://codereview.chromium.org/2682473003/diff/60001/remoting/host/policy_watcher.h#newcode105 > ...
3 years, 3 months ago (2017-04-27 06:22:51 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2682473003/80001
3 years, 3 months ago (2017-04-28 17:45:39 UTC) #32
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/423473)
3 years, 3 months ago (2017-04-28 17:59:21 UTC) #34
rkjnsn
Jesse, Can you review the histogram changes? Thanks.
3 years, 3 months ago (2017-04-28 18:09:00 UTC) #36
rkjnsn
Oops. I guess Jesse is OOO. Ilya, Can you take a look at the histogram ...
3 years, 3 months ago (2017-04-28 19:04:45 UTC) #38
Ilya Sherman
histograms.xml lgtm
3 years, 3 months ago (2017-04-28 20:56:21 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2682473003/80001
3 years, 3 months ago (2017-04-28 21:02:15 UTC) #41
commit-bot: I haz the power
Committed patchset #4 (id:80001) as https://chromium.googlesource.com/chromium/src/+/10cd268f54d5f567b8834838ad0726e35dcdbe51
3 years, 3 months ago (2017-04-28 22:04:20 UTC) #44
Thiemo Nagel
3 years, 2 months ago (2017-05-17 14:18:09 UTC) #46
Message was sent while issue was closed.
https://codereview.chromium.org/2682473003/diff/80001/components/policy/resou...
File components/policy/resources/policy_templates.json (right):

https://codereview.chromium.org/2682473003/diff/80001/components/policy/resou...
components/policy/resources/policy_templates.json:778: 'desc': '''This policy is
deprecated. Please use RemoteAccessHostClientDomainList instead.''',
(here and below)

Note that quoting a policy name requires it to be enclosed in <ph ...> to mark
it as untranslatable, cf. top of the file.

Powered by Google App Engine
This is Rietveld 408576698